View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000204aMuleMessagespublic2004-11-20 20:442005-02-07 05:19
Reporterjvandewerken 
Assigned ToKry 
PrioritynormalSeveritymajorReproducibilitysometimes
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version2.0.0-rc7 
Target VersionFixed in VersionSVN 
Summary0000204: error 24: Too many open files
Description07:05:26 PM: can't open file '/home/vcr/.aMule/Temp/065.part.met' (error 24: Too many open files)
07:05:26 PM: info: Could not create backup of '/home/vcr/.aMule/Temp/065.part.met' (error 24: Too many open files)
07:05:26 PM: can't open file '/home/vcr/.aMule/logfile' (error 24: Too many open files)
Additional InformationMachine: Intel Celeron 933 384Mb and 40GB
OS: Slackware 10 (current) kernel linux 2.6.8.1

This happens after 2 Days and about 20 hours, the second time it happend.

These are the first rows of the logfile after a restart.
11/20/2004 07:07:24 PM: aMule 2.0.0rc7 using wxGTK2 v2.5.3
11/20/2004 07:07:25 PM: 146 servers in server.met found
11/20/2004 07:07:27 PM: Found 69 part files
11/20/2004 07:07:27 PM: Found 166 known shared files
11/20/2004 07:07:27 PM: Connecting
11/20/2004 07:07:29 PM: Creditfile loaded, 3842 clients are known
11/20/2004 07:07:29 PM: Loaded ipfilter with 0 new IP addresses.
TagsNo tags attached.
Fixed in Revision
Operating System
Attached Files

- Relationships

-  Notes
(0000414)
jvandewerken (reporter)
2004-11-24 20:51

Did it again, now after 3 days and 5 hours.
Have watched it over the time:
30 mins: Mem usage 40 Mb cpu 0000008:0000012%
3 hours: Mem 42 Mb cpu ~ 12%
2 D 21 h: Mem 100 Mb cpu 0000014:0000018% Downloaded 10Gb, Uploaded 6 Gb
3 D 5 h: Mem 102 Mb cpu 0000018:0000022% Downloaded 11 Gb Uploaded 6.5 Gb
3 D 0000007:0000006 h: error 24 To many open files, Uploading still works (maybe for this session) Downling stops, also not possible to write to logfile.
Other tasks on this machine are running nornal, need only to restart aMule.
(0000528)
Kry (manager)
2005-01-19 18:41

This might be from a socket bug I introduced. Check current CVS (NOT rc8) and report, please :)
(0000591)
Kry (manager)
2005-02-01 22:38

Closing this weekend if no feedback...
(0000610)
Kry (manager)
2005-02-07 05:19

No news is good news. Closed.

- Issue History
Date Modified Username Field Change
2004-11-20 20:44 jvandewerken New Issue
2004-11-24 20:51 jvandewerken Note Added: 0000414
2005-01-19 18:41 Kry Note Added: 0000528
2005-01-26 03:45 phoenix Assigned To => Kry
2005-01-26 03:45 phoenix Status new => assigned
2005-01-26 03:45 phoenix Category Feature Request => Messages
2005-02-01 22:38 Kry Note Added: 0000591
2005-02-07 05:19 Kry Status assigned => resolved
2005-02-07 05:19 Kry Fixed in Version => CVS
2005-02-07 05:19 Kry Resolution open => fixed
2005-02-07 05:19 Kry Note Added: 0000610


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker